MSGUNFMT(1)

NUME
msgunfmt - descompilează catalogul de mesaje din format binar

REZUMAT
msgunfmt [OPȚIUNE] [FIȘIER]...

DESCRIERE

Convertește catalogul de mesaje binar în fișier .po în stil Uniforum.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

  Mod de operare:

-j, --java
    mod Java: intrarea este o clasă Java ResourceBundle

--csharp
    mod C#: intrarea este un fișier .NET .dll

--csharp-resources
    mod resurse C#: intrarea este un fișier .resources .NET

--tcl
    mod Tcl: intrarea este un fișier tcl/msgcat .msg

  Locație fișier de intrare:

FIȘIER ...
    fișiere de intrare .mo

Dacă nu este dat nici un fișier de intrare sau dacă este „-”, se va citi intrarea standard.

  Locația fișierului de intrare în mod Java:

-r, --resource=RESURSA
    numele resursei

-l, --locale=LOCALIZARE
    nume localizare, fie limbă, fie limbă_ȚARĂ

Numele clasei este determinat prin adăugarea numelui localizării la numele resursei, separat cu o liniuță de subliniere. Clasa este localizată folosind CLASSPATH.

  Locația fișierului de iintrare în modul C#:

-r, --resource=RESURSA
    numele resursei

-l, --locale=LOCALIZARE
    nume localizare, fie limbă, fie limbă_ȚARĂ

-d DIRECTOR
    directorul rădăcină (de bază) pentru fișierele .dll dependente de limbă

Opțiunile -l și -d sunt obligatorii. Fișierul .dll este scris într-un subdirector al directorului specificat al cărui nume depinde de localizare.

  Locația fișierului de intrare în mod Tcl:

-l, --locale=LOCALIZARE
    nume localizare, fie limbă, fie limbă_ȚARĂ

-d DIRECTOR
    directorul de bază al cataloagelor de mesaje .msg

Opțiunile -l și -d sunt obligatorii. Fișierul .msg este scris în directorul specificat

  Locație fișier de ieșire:

-o, --output-file=FIȘIER
    scrie ieșirea în fișierul specificat

Rezultatele sunt scrise la ieșirea standard dacă nu este specificat niciun fișier de ieșire sau dacă acesta este „-”.

  Detalii ieșire:

--color
    utilizează întotdeauna culori și alte atribute ale textului

--color=CÂND
    utilizează culori și alte atribute ale textului dacă VALOARE. VALOARE poate fi: „always” (întotdeauna), „never” (niciodată), „auto” sau „html”.

--style=FIȘIER_DE_STIL
    specifică fișierul cu reguli de stil CSS pentru opțiunea --color

-e, --no-escape
    nu utilizează eludări C în ieșire (implicit)

-E, --escape
    folosește eludări C în ieșire, fără caractere extinse

--force-po
    scrie fișierul PO chiar dacă este gol

-i, --indent
    scrie fișierul .po folosind stil indentat

--strict
    scrie strict fișiere în stil Uniforum

-p, --properties-output
    scrie un fișier .properties Java

--stringtable-output
    scrie un fișier .strings NeXTstep/GNUstep

-w, --width=NUMĂR
    stabilește lățimea paginii de ieșire

--no-wrap
    nu împarte liniile lungi de mesaj, mai lungi decât lățimea paginii de ieșire, în mai multe linii

-s, --sort-output
    generează ieșire ordonată alfanumeric

  Ieșire informativă:

-h, --help
    afișează acest mesaj de ajutor și iese

-V, --version
    afișează informațiile despre versiune și iese

-v, --verbose
    crește nivelul de detaliere al mesajelor informative

AUTOR
Scris de Ulrich Drepper.

RAPORTAREA ERORILOR
Raportați erorile în sistemul de urmărire a erorilor la <https://savannah.gnu.org/projects/gettext> sau prin e-mail la <bug-gettext@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 1995-2020 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru msgunfmt este menținută ca un manual Texinfo. Dacă programele info și msgunfmt sunt instalate corect în sistemul dvs., comanda

    info msgunfmt

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.